Element Information Clarification

Hello,

I have a couple of questions please help me to understand it better.

1) With the Use of Journaling I got the logic to get the Node's and Element. But we have to pass a value and the value which we pass is element's Label or the actual Element Number. Can you please help me to understand it.

NXOpen.CAE.FEElement fEElement1 =(NXOpen.CAE.FEElement)fEModel1.Find("Element[580380]");

theUI.NXMessageBox.Show("Element", NXMessageBox.DialogType.Error, "Element : " + fEElement1); // In this I am getting a different Element Number and not the one which I am passing in the above line.

NXOpen.CAE.FENode[] elementNodes = fEElement1.GetNodes();
for (int iNode = 0; iNode < elementNodes.Length; iNode++)
{
theUI.NXMessageBox.Show("NODES", NXMessageBox.DialogType.Error, "NODE : " + elementNodes[iNode]);
}

2) How to get the Element number on selecting the Element.
"Element[580380]" We don't want to hardcode the numeric Value which we are passing.

Thank you for helping me understand it better.